package com.yd.dal.service.meta;
import com.yd.api.practitioner.vo.organization.InsurerBranchDeptInfo;
import com.yd.api.practitioner.vo.organization.InsurerBranchInfo;
import com.yd.api.practitioner.vo.organization.PractitionerSubordinateSystemInfo;
import com.yd.dal.entity.meta.MdDropOptions;
import com.yd.dal.entity.meta.OptionsEGolden;

import java.util.List;
import java.util.Map;

public interface MdDropOptionsDALService {
    List<MdDropOptions> findByDropMasterId(long dropMasterId);

    MdDropOptions findByDropOptionId(Long dropOptionId);

    List<MdDropOptions> findByDropMasterCode(String dropMasterCode);

    MdDropOptions findById(Long trackStatusId);

    List<MdDropOptions> findByMasterCode(String masterCode);

    List<MdDropOptions> findByMasterCodeAndOrderId(String masterCode, int orderId);

    MdDropOptions selectByMasterCodeAndOptionsCode(String masterCode, String optionsCode);

    List<MdDropOptions> findByMasterCodeAndOptionsCode(String team_building_track, String s);

    List<OptionsEGolden> findByMasterIdsE(List<Integer> materIds);

    List<OptionsEGolden> findAllTitleEG();

    List<PractitionerSubordinateSystemInfo> findSubordinateSystemInfoByIdEG(List<String> subordinateSystemIds);

    List<PractitionerSubordinateSystemInfo> findSubordinateSystemInfoEG();

    List<InsurerBranchDeptInfo> findBranchDeptInfoByIdEG(List<String> branchDeptIds);

    List<InsurerBranchDeptInfo> findBranchDeptInfoEG();

    List<InsurerBranchInfo> findInsurerBranchInfoByIdEG(List<String> insurerBranchIds);

    List<InsurerBranchInfo> findInsurerBranchInfoEG();

    List<MdDropOptions> findByDropMasterCodes(List<String> asList);

    Map<Long, MdDropOptions> queryIdObjMapByByDropMasterCode(String masterCode);

    List<Long> queryIdByByDropMasterCodes(List<String> masterCodeList);

    List<Long> queryIdByByDropMasterCode(String masterCode);
}
